Bug 993585 - VDB datasource contains incorrect connection url
VDB datasource contains incorrect connection url
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 04:47 EDT by Lucie Fabrikova
Modified: 2015-10-06 09:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-1816 Major Closed VDB datasource contains incorrect connection url 2015-10-06 09:05 EDT

  None (edit)
Description Lucie Fabrikova 2013-08-06 04:47:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):
SOA tooling 5.0.5.GA

How reproducible:


Steps to Reproduce:
1. Take any VDB
2. Modelling actions -> Create REST WAR -> Deploy VDB
3. In dialog, select the VDB and choose "Create data source"

Actual results:
Created *-ds.xml in deploy/ directory contains invalid connection url:
<connection-url>jdbc:teiid:MySimpleVdb.vdb@mm://localhost:31443</connection-url>	

Expected results:
The connection url should be:
jdbc:teiid:MySimpleVdb@mm://localhost:31000				


Additional info:
JBDS 5.0.2.GA
Comment 1 JBoss JIRA Server 2015-07-16 14:42:07 EDT
Ted Jones <tejones@redhat.com> updated the status of jira TEIIDDES-1816 to Resolved
Comment 2 JBoss JIRA Server 2015-08-12 07:19:15 EDT
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-1816 to Reopened
Comment 3 JBoss JIRA Server 2015-08-25 12:29:58 EDT
Ted Jones <tejones@redhat.com> updated the status of jira TEIIDDES-1816 to Resolved
Comment 4 JBoss JIRA Server 2015-10-06 08:59:48 EDT
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-1816 to Closed

Note You need to log in before you can comment on or make changes to this bug.